## com.bbn.openmap.omGraphics
Class BasicStrokeEditor

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          com.bbn.openmap.omGraphics.BasicStrokeEditor

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class BasicStrokeEditor
extends javax.swing.JDialog
implements java.awt.event.ActionListener

The BasicStrokeEditor provides a GUI to adjust BasicStroke parameters. It can provide a default button to launch itself, or a button can be set. This class is being replaced by the BasicStrokeEditorMenu.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected javax.swing.JButton` `applybutton`
`protected java.awt.BasicStroke` `basicStroke`
`protected javax.swing.JComboBox` `capBox`
`protected javax.swing.JButton` `closebutton`
`protected float[]` `dash`
`protected javax.swing.JTextField` `dashField`
`protected float` `dashPhase`
`protected javax.swing.JTextField` `dashPhaseField`
`protected int` `endCaps`
`protected javax.swing.JComboBox` `joinBox`
`static java.lang.String` `LaunchCmd`
`protected int` `lineJoins`
`protected float` `miterLimit`
`protected javax.swing.JTextField` `miterLimitField`
`static java.lang.String` `NONE`
`protected javax.swing.JPanel` `palette`
`protected java.beans.PropertyChangeSupport` `pcs`
`protected float` `width`
`protected javax.swing.JTextField` `widthField`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`BasicStrokeEditor()`
`BasicStrokeEditor(java.awt.BasicStroke bs)`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent event)`
`static javax.swing.ImageIcon` `createIcon(java.awt.BasicStroke stroke, int width, int height, boolean horizontalOrientation)` Given a BasicStroke, create an ImageIcon that shows it.
`static java.lang.String` `dashArrayToString(float[] da)`
`java.awt.BasicStroke` `getBasicStroke()`
`float[]` `getDash()`
`float` `getDashPhase()`
`int` `getEndCaps()`
`javax.swing.JButton` `getLaunchButton()`
`int` `getLineJoins()`
`float` `getMiterLimit()`
`java.beans.PropertyChangeSupport` `getPropertyChangeSupport()`
`float` `getStrokeWidth()`
`void` `resetStroke()`
`void` `setBasicStroke(java.awt.BasicStroke bs)`
`void` `setDash(float[] da)`
`void` `setDashPhase(float dp)`
`void` `setEndCaps(int ec)`
`void` `setGUI()`
`void` `setLaunchButton(javax.swing.JButton lb)`
`void` `setLineJoins(int lj)`
`void` `setMiterLimit(float ml)`
`void` `setPropertyChangeSupport(java.beans.PropertyChangeSupport propertyChangeSupport)`
`void` `setStrokeWidth(float w)`
`static float[]` `stringToDashArray(java.lang.String das)`
`protected void` `widgetsToSettings()`

Methods inherited from class javax.swing.JDialog

`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### basicStroke

    protected java.awt.BasicStroke basicStroke

### pcs

    protected java.beans.PropertyChangeSupport pcs

### width

    protected float width

### endCaps

    protected int endCaps

### lineJoins

    protected int lineJoins

### miterLimit

    protected float miterLimit

### dash

    protected float[] dash

### dashPhase

    protected float dashPhase

### widthField

    protected transient javax.swing.JTextField widthField

### miterLimitField

    protected transient javax.swing.JTextField miterLimitField

### dashField

    protected transient javax.swing.JTextField dashField

### dashPhaseField

    protected transient javax.swing.JTextField dashPhaseField

### palette

    protected transient javax.swing.JPanel palette

### closebutton

    protected transient javax.swing.JButton closebutton

### applybutton

    protected transient javax.swing.JButton applybutton

### capBox

    protected transient javax.swing.JComboBox capBox

### joinBox

    protected transient javax.swing.JComboBox joinBox

### NONE

    public static final java.lang.String NONE

See Also:
  Constant Field Values

### LaunchCmd

    public static final java.lang.String LaunchCmd

See Also:
  Constant Field Values

Constructor Detail

### BasicStrokeEditor

    public BasicStrokeEditor()

### BasicStrokeEditor

    public BasicStrokeEditor(java.awt.BasicStroke bs)

Method Detail

### resetStroke

    public void resetStroke()

### widgetsToSettings

    protected void widgetsToSettings()

### setGUI

    public void setGUI()

### dashArrayToString

    public static java.lang.String dashArrayToString(float[] da)

### stringToDashArray

    public static float[] stringToDashArray(java.lang.String das)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### getBasicStroke

    public java.awt.BasicStroke getBasicStroke()

### setBasicStroke

    public void setBasicStroke(java.awt.BasicStroke bs)

### setLaunchButton

    public void setLaunchButton(javax.swing.JButton lb)

### getLaunchButton

    public javax.swing.JButton getLaunchButton()

### setPropertyChangeSupport

    public void setPropertyChangeSupport(java.beans.PropertyChangeSupport propertyChangeSupport)

### getPropertyChangeSupport

    public java.beans.PropertyChangeSupport getPropertyChangeSupport()

### createIcon

    public static javax.swing.ImageIcon createIcon(java.awt.BasicStroke stroke,
                                                   int width,
                                                   int height,
                                                   boolean horizontalOrientation)

  Given a BasicStroke, create an ImageIcon that shows it.

  Parameters:
    `stroke` - the BasicStroke to draw on the Icon.
    `width` - the width of the icon.
    `height` - the height of the icon.
    `horizontalOrientation` - if true, draw line on the icon horizontally, else draw it vertically.

### setStrokeWidth

    public void setStrokeWidth(float w)

### getStrokeWidth

    public float getStrokeWidth()

### setMiterLimit

    public void setMiterLimit(float ml)

### getMiterLimit

    public float getMiterLimit()

### setDash

    public void setDash(float[] da)

### getDash

    public float[] getDash()

### setDashPhase

    public void setDashPhase(float dp)

### getDashPhase

    public float getDashPhase()

### setEndCaps

    public void setEndCaps(int ec)

### getEndCaps

    public int getEndCaps()

### setLineJoins

    public void setLineJoins(int lj)

### getLineJoins

    public int getLineJoins()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details